package tv.ouya.console.internal;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public abstract interface IControllerServiceDefinition
  extends IInterface
{
  public abstract int getDeviceIdForPlayer(int paramInt)
    throws RemoteException;
  
  public static abstract class Stub
    extends Binder
    implements IControllerServiceDefinition
  {
    private static final String DESCRIPTOR = "tv.ouya.console.internal.IControllerServiceDefinition";
    static final int TRANSACTION_getDeviceIdForPlayer = 1;
    
    public Stub()
    {
      attachInterface(this, "tv.ouya.console.internal.IControllerServiceDefinition");
    }
    
    public static IControllerServiceDefinition asInterface(IBinder paramIBinder)
    {
      if (paramIBinder == null) {
        return null;
      }
      IInterface localIInterface = paramIBinder.queryLocalInterface("tv.ouya.console.internal.IControllerServiceDefinition");
      if ((localIInterface != null) && ((localIInterface instanceof IControllerServiceDefinition))) {
        return (IControllerServiceDefinition)localIInterface;
      }
      return new Proxy(paramIBinder);
    }
    
    public IBinder asBinder()
    {
      return this;
    }
    
    public boolean onTransact(int paramInt1, Parcel paramParcel1, Parcel paramParcel2, int paramInt2)
      throws RemoteException
    {
      switch (paramInt1)
      {
      default: 
        return super.onTransact(paramInt1, paramParcel1, paramParcel2, paramInt2);
      case 1598968902: 
        paramParcel2.writeString("tv.ouya.console.internal.IControllerServiceDefinition");
        return true;
      }
      paramParcel1.enforceInterface("tv.ouya.console.internal.IControllerServiceDefinition");
      paramInt1 = getDeviceIdForPlayer(paramParcel1.readInt());
      paramParcel2.writeNoException();
      paramParcel2.writeInt(paramInt1);
      return true;
    }
    
    private static class Proxy
      implements IControllerServiceDefinition
    {
      private IBinder mRemote;
      
      Proxy(IBinder paramIBinder)
      {
        this.mRemote = paramIBinder;
      }
      
      public IBinder asBinder()
      {
        return this.mRemote;
      }
      
      public int getDeviceIdForPlayer(int paramInt)
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        try
        {
          localParcel1.writeInterfaceToken("tv.ouya.console.internal.IControllerServiceDefinition");
          localParcel1.writeInt(paramInt);
          this.mRemote.transact(1, localParcel1, localParcel2, 0);
          localParcel2.readException();
          paramInt = localParcel2.readInt();
          return paramInt;
        }
        finally
        {
          localParcel2.recycle();
          localParcel1.recycle();
        }
      }
      
      public String getInterfaceDescriptor()
      {
        return "tv.ouya.console.internal.IControllerServiceDefinition";
      }
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/IControllerServiceDefinition.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */